13 replies [Last post]
Joined: 07/28/2010
Groups: None

I'm running Lucid Lynx (Ubuntu 10.04) on my laptop and I can't get FoldIt to run. I try just double clicking the executable, nothing happens; I right click and choose Open, nothing happens; I even tried in a terminal, in the directory that all my FoldIt files are in, running it like a shell script (I didn't know what to use so I just did . Foldit)
I read some other threads but none answered my question, some referenced some libraries like ia32-libs but I couldn't apt-get them.

Rav3n_pl's picture
User offline. Last seen 7 weeks 2 days ago. Offline
Joined: 06/17/2010
Run it form console. IT will

Run it form console.
IT will show what is missing.

Joined: 07/28/2010
Groups: None
What with?

Like I said, I tried in the console using just ". Foldit" and got "bash: .: Foldit: cannot execute binary file" so I figured it doesn't run like a shell script but I don't know what else to use.

Rav3n_pl's picture
User offline. Last seen 7 weeks 2 days ago. Offline
Joined: 06/17/2010
libgl.so

I`m not 100% sure but mine ubuntu missing libgl.so
After installing it foldit runs properly.
Try unpack foldit again and run from console. Should show error.

Joined: 09/18/2009
Groups: SETI.Germany
Maybe...

...write a mail to Judecca.
http://fold.it/portal/user/9330
He knows much about this.

Joined: 07/28/2010
Groups: None
Judecca fixed it

I messaged Judecca and he solved it very effectively:

1) use the command "./Foldit" to run it, not like I was doing
2) the library I needed (libglut.so.3) was gotten using "sudo apt-get install freeglut3"

Thanks Judecca!

Joined: 08/05/2010
Groups: None
Bump

Thanks, that worked for me too!

mike-g2's picture
User offline. Last seen 3 years 50 weeks ago. Offline
Joined: 08/06/2010
Groups: None
cant fill in username

I'm actually having problems using Karmic. I can get the binary to run up to the login point, but it doesn't allow me to enter a username (password yes, username no).

Anyone else seen something like this?

Mike

Joined: 09/18/2009
Groups: SETI.Germany
@mike-g2

This is a problem on all OS at the moment. See here if anything works for you:
http://fold.it/portal/node/988059

Shadowduck's picture
User offline. Last seen 3 years 50 weeks ago. Offline
Joined: 08/08/2010
Groups: None
Shouldn't this be in the Wiki?

I also had problems getting Foldit to run on Ubuntu Lucid, solved by installing freeglut3.

Searching the Wiki gives the impression the software should "just work"... Since the lack of libglut.so.3 seems to be common, wouldn't it be an idea to make this information a little more prominent (or better still, fix the problem)?

2TWISTED's picture
User offline. Last seen 3 years 40 weeks ago. Offline
Joined: 10/16/2010
Groups: None
Ubuntu and Nvidia

Foldit was not starting; it complained that freeglut could not create an opengl context. It turned out that X was picking up the wrong version of libglx. I move the old old libglx.so to libglx.so.org and then made a symlink to the nvidia one in /usr/lib64/xorg/modules/extensions:

mv libglx.so libglx.so.orig
ln -s libglx.so.195.36.24 libglx.so

ls -lrt /usr/lib64/xorg/modules/extensions/
total 4660
-rw-r--r-- 1 root root 31264 2010-07-21 08:08 librecord.so
-rw-r--r-- 1 root root 418032 2010-07-21 08:08 libglx.so.orig
-rw-r--r-- 1 root root 106096 2010-07-21 08:08 libextmod.so
-rw-r--r-- 1 root root 43768 2010-07-21 08:08 libdri.so
-rw-r--r-- 1 root root 14616 2010-07-21 08:08 libdri2.so
-rw-r--r-- 1 root root 18824 2010-07-21 08:08 libdbe.so
-rwxr-xr-x 1 root root 4127400 2010-08-01 12:39 libglx.so.195.36.24
lrwxrwxrwx 1 root root 19 2010-10-16 17:37 libglx.so -> libglx.so.195.36.24

kbob's picture
User offline. Last seen 4 weeks 4 days ago. Offline
Joined: 09/03/2010
Groups: None
FoldId is pure 32bit app. If

FoldId is pure 32bit app. If you wannna run it on 64bit kernel:
apt-get install ia32-libs

kbob's picture
User offline. Last seen 4 weeks 4 days ago. Offline
Joined: 09/03/2010
Groups: None
Ubuntu 11.10 (Oneiric Ocelot)

Ubuntu 11.10 (Oneiric Ocelot) 64bit.
32bit library support installed

apt-get install ia32-libs

Have error when running FoldIt
Foldit Error: Could not load library: libglut.so.3: wrong ELF class: ELFCLASS64.

kbob's picture
User offline. Last seen 4 weeks 4 days ago. Offline
Joined: 09/03/2010
Groups: None
Posible solution
Sitemap

Supported by: UW Center for Game Science, UW Department of Computer Science and Engineering, UW Baker Lab, DARPA, NSF, HHMI, Microsoft, and Adobe